Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class ImageConverter

    java.lang.Object
      ij.process.ImageConverter

public class ImageConverter
extends java.lang.Object

This class converts an ImagePlus object to a different type.

Constructor Summary
`ImageConverter(ImagePlus imp)` Constructs an ImageConverter based on an ImagePlus object.

Method Summary
`void` | `convertHSBToRGB()` Converts a 3-slice (hue, saturation, brightness) 8-bit stack to RGB.
`void` | `convertRGBStackToRGB()` Converts a 2 or 3 slice 8-bit stack to RGB.
`void` | `convertRGBtoIndexedColor(int nColors)` Converts an RGB image to 8-bits indexed color.
`void` | `convertToGray16()` Converts this ImagePlus to 16-bit grayscale.
`void` | `convertToGray32()` Converts this ImagePlus to 32-bit grayscale.
`void` | `convertToGray8()` Converts this ImagePlus to 8-bit grayscale.
`void` | `convertToHSB()` Converts an RGB image to a HSB (hue, saturation and brightness) stack.
`void` | `convertToRGB()` Converts this ImagePlus to RGB.
`void` | `convertToRGBStack()` Converts an RGB image to an RGB (red, green and blue) stack.
`static boolean` | `getDoScaling()` Returns true if scaling is enabled.
`static void` | `setDoScaling(boolean scaleConversions)` Set true to scale to 0-255 when converting short to byte or float to byte and to 0-65535 when converting float to short.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageConverter

    public ImageConverter(ImagePlus imp)

  Constructs an ImageConverter based on an ImagePlus object.

Method Detail

### convertToGray8

    public void convertToGray8()

  Converts this ImagePlus to 8-bit grayscale.

### convertToGray16

    public void convertToGray16()

  Converts this ImagePlus to 16-bit grayscale.

### convertToGray32

    public void convertToGray32()

  Converts this ImagePlus to 32-bit grayscale.

### convertToRGB

    public void convertToRGB()

  Converts this ImagePlus to RGB.

### convertToRGBStack

    public void convertToRGBStack()

  Converts an RGB image to an RGB (red, green and blue) stack.

### convertToHSB

    public void convertToHSB()

  Converts an RGB image to a HSB (hue, saturation and brightness) stack.

### convertRGBStackToRGB

    public void convertRGBStackToRGB()

  Converts a 2 or 3 slice 8-bit stack to RGB.

### convertHSBToRGB

    public void convertHSBToRGB()

  Converts a 3-slice (hue, saturation, brightness) 8-bit stack to RGB.

### convertRGBtoIndexedColor

    public void convertRGBtoIndexedColor(int nColors)

  Converts an RGB image to 8-bits indexed color. 'nColors' must be greater than 1 and less than or equal to 256.

### setDoScaling

    public static void setDoScaling(boolean scaleConversions)

  Set true to scale to 0-255 when converting short to byte or float to byte and to 0-65535 when converting float to short.

### getDoScaling

    public static boolean getDoScaling()

  Returns true if scaling is enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD